org.springframework.data.convert

## Class SimpleTypeInformationMapper

- java.lang.Object
- - org.springframework.data.convert.SimpleTypeInformationMapper

All Implemented Interfaces:
  TypeInformationMapper

    public class SimpleTypeInformationMapper
    extends Object
    implements TypeInformationMapper

Basic `TypeInformationMapper` implementation that interprets the alias handles as fully qualified class name and tries to load a class with the given name to build `TypeInformation`. Returns the fully qualified class name for alias creation.

Author:
  Oliver Gierke, Mark Paluch

### Constructor Summary

Constructors
Constructor and Description
`SimpleTypeInformationMapper()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Alias` `createAliasFor(TypeInformation<?> type)` Turn the given type information into the String representation that shall be stored.
`TypeInformation<?>` `resolveTypeFrom(Alias alias)` Returns the `TypeInformation` that shall be used when the given `String` value is found as type hint.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleTypeInformationMapper

    public SimpleTypeInformationMapper()

### Method Detail

#### resolveTypeFrom

    @Nullable
    public TypeInformation<?> resolveTypeFrom(Alias alias)

Returns the `TypeInformation` that shall be used when the given `String` value is found as type hint. The implementation will simply interpret the given value as fully-qualified class name and try to load the class. Will return null in case the given `String` is empty.

Specified by:
  `resolveTypeFrom` in interface `TypeInformationMapper`
Parameters:
  `alias` - the type to load, must not be null.
Returns:
  the type to be used for the given `String` representation or null if nothing found or the class cannot be loaded.

#### createAliasFor

    public Alias createAliasFor(TypeInformation<?> type)

Turn the given type information into the String representation that shall be stored. Default implementation simply returns the fully-qualified class name.

Specified by:
  `createAliasFor` in interface `TypeInformationMapper`
Parameters:
  `type` - must not be null.
Returns:
  the String representation to be stored or null if no type information shall be stored.